Token lookup
Look up a fungible token by symbol
GET
/insights/v1/tokens/lookup
Look up a fungible token by symbol
Query Parameters
symbol
unknown
required
query
Example:
["ETH","USDC"]chain
number[]
optional
query
Use chain_id instead
Example:
[20,56,1]chain_id
number[]
optional
query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example:
[20,56,1]Responses
200
Successful response
application/jsondata
object[]
REQUIRED
Array of:
chain_id
number
REQUIRED
The chain ID of a relevant entry
token_address
string
REQUIRED
name
string
symbol
string
decimals
number
price_data
object
price_usd
number
The price of the token in USD
usd_value
number
The value of the token balance in USD
volume_24h_usd
number
The volume of the token in USD
market_cap_usd
number
The market cap of the token in USD
circulating_supply
number
The circulating supply of the token
total_supply
number
The total supply of the token
percent_change_24h
number
The percentage change of the token in the last 24 hours
price_timestamp
string
The timestamp of the latest price update
400
Bad request
500
Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens/lookup?symbol=ETH%2CUSDC'
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens/lookup?symbol=ETH%2CUSDC', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//insights/v1/tokens/lookup?symbol=ETH%2CUSDC')print(response.json())
200
Response
{ "data": [ { "chain_id": 1, "token_address": "vitalik.eth", "name": "<string>", "symbol": "<string>", "decimals": 123, "price_data": { "price_usd": 123, "usd_value": 123, "volume_24h_usd": 123, "market_cap_usd": 123, "circulating_supply": 123, "total_supply": 123, "percent_change_24h": 123, "price_timestamp": "<string>" } } ]}
API Playground
Try this endpoint
GET
/insights/v1/tokens/lookup